View Issue Details

IDProjectCategoryView StatusLast Update
0005236GNUnetutil librarypublic2018-06-07 23:19
ReporterxrsAssigned ToChristian Grothoff 
PrioritynormalSeverityblockReproducibilityalways
Status closedResolutionfixed 
Platformx86_64OSarchlinuxOS Versionhead
Product Version0.10.1 
Target Version0.11.0pre66Fixed in Version0.11.0pre66 
Summary0005236: make check: test_service never ends
DescriptionCalling "make check" in /utils does not end. All tests pass successfully until test_service.
Steps To Reproduce$ cd $gnunet/src/util
$ make check

Calling the binary seperatly with debug infos:

$ env GNUNET_FORCE_LOG="test_service;;;;DEBUG" .libs/test_service
Jan 03 00:48:27-512054 test_service-1316 DEBUG mq: sending message of type 256, queue empty (MQ: 0x55d133562320)
Jan 03 00:48:27-512174 test_service-1316 DEBUG client: message of type 256 waiting for socket
Jan 03 00:48:27-512739 test_service-1316 DEBUG client: message of type 256 trying to send with socket 0x55d133567980 (MQ: 0x55d133562320
Jan 03 00:48:27-512812 test_service-1316 DEBUG client: sending message of type 256 successful
Jan 03 00:48:27-512866 test_service-1316 DEBUG Received client message...
Jan 03 00:48:27-512892 test_service-1316 DEBUG client: destroying socket: 0x55d133567980
Jan 03 00:48:27-512963 test_service-1316 DEBUG Client dropped: 0x55d133561cd0 (MQ: 0x55d133567a80)
Jan 03 00:48:27-516439 test_service-1316 DEBUG mq: sending message of type 256, queue empty (MQ: 0x55d133562320)
Jan 03 00:48:27-516473 test_service-1316 DEBUG client: message of type 256 waiting for socket
Jan 03 00:48:27-516724 test_service-1316 DEBUG client: message of type 256 trying to send with socket 0x55d133560e70 (MQ: 0x55d133562320
Jan 03 00:48:27-516787 test_service-1316 DEBUG client: sending message of type 256 successful
Jan 03 00:48:27-516820 test_service-1316 DEBUG Received client message...
Jan 03 00:48:27-516836 test_service-1316 DEBUG client: destroying socket: 0x55d133560e70
Jan 03 00:48:27-516904 test_service-1316 DEBUG Client dropped: 0x55d1335620f0 (MQ: 0x55d1335621b0)
Jan 03 00:48:27-519907 test_service6-1316 DEBUG mq: sending message of type 256, queue empty (MQ: 0x55d133562320)
Jan 03 00:48:27-519942 test_service6-1316 DEBUG client: message of type 256 waiting for socket

Nothing more happens.
TagsNo tags attached.

Activities

xrs

2018-01-03 13:10

manager   ~0012711

Sorry, I'm not using 0.10.1, but git head.

Christian Grothoff

2018-01-12 11:50

manager   ~0012768

I remember fixing something like this in Berlin related to IPv6 not being fully supported on the target. Is this the same issue? Please confirm it is still current!

Christian Grothoff

2018-06-07 23:19

manager   ~0013021

Closing as no longer reproducible.

Issue History

Date Modified Username Field Change
2018-01-03 01:01 xrs New Issue
2018-01-03 13:10 xrs Note Added: 0012711
2018-01-12 11:50 Christian Grothoff Note Added: 0012768
2018-01-12 11:50 Christian Grothoff Assigned To => Christian Grothoff
2018-01-12 11:50 Christian Grothoff Status new => feedback
2018-01-12 11:50 Christian Grothoff Target Version => 0.11.0pre66
2018-06-07 23:19 Christian Grothoff Status feedback => closed
2018-06-07 23:19 Christian Grothoff Resolution open => fixed
2018-06-07 23:19 Christian Grothoff Fixed in Version => 0.11.0pre66
2018-06-07 23:19 Christian Grothoff Note Added: 0013021